/api/v1/datagrid-rows (POST)
POST
/api/v1/datagrid-rows
const url = 'https://api.endless.zaia.app/api/v1/datagrid-rows';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"datagridId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","position":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/datagrid-rows \ --header 'Content-Type: application/json' \ --data '{ "datagridId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "position": 1 }'Creates a new datagrid row.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”Media typeapplication/json
object
datagridId
required
A UUID v4 string that identifies an entity.
string format: uuid
position
required
integer
Examplegenerated
{ "datagridId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "position": 1}Responses
Seção intitulada “Responses”The datagrid row was created with default values for all columns.
Media typeapplication/json
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
datagridId
required
A UUID v4 string that identifies an entity.
string format: uuid
position
required
integer
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "datagridId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "position": 1}Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}Datagrid not found.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}Precondition failed.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}